Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ddf.mimin.javasound
Class JSMPEGAudioRecordingStream

    java.lang.Object
      ddf.mimin.javasound.JSBaseAudioRecordingStream
          ddf.mimin.javasound.JSMPEGAudioRecordingStream

All Implemented Interfaces:
  AudioRecording, AudioRecordingStream, AudioResource, AudioStream, java.lang.Runnable

    public class JSMPEGAudioRecordingStream

extends JSBaseAudioRecordingStream

Field Summary

Fields inherited from class ddf.mimin.javasound.JSBaseAudioRecordingStream
`ais, format, system`

Method Summary
`AudioMetaData` | `getMetaData()` Returns meta data about the recording, such as duration, name, ID3 tags perhaps.
`int` | `getMillisecondLength()` Returns the length of the source in milliseconds.
`protected void` | `rewind()`
`protected int` | `skip(int millis)`

Methods inherited from class ddf.mimin.javasound.JSBaseAudioRecordingStream
`bufferSize, close, getControls, getFormat, getLoopCount, getMillisecondPosition, isPlaying, loop, open, pause, play, run, setAudioEffect, setAudioListener, setLoopPoints, setMillisecondPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMetaData

    public AudioMetaData getMetaData()

  Description copied from interface: `AudioRecording`
  Returns meta data about the recording, such as duration, name, ID3 tags perhaps.

  Returns:
    the MetaData of the recording

### getMillisecondLength

    public int getMillisecondLength()

  Description copied from interface: `AudioRecording`
  Returns the length of the source in milliseconds. Infinite sources, such as internet radio streams, should return -1.

  Returns:
    the length of the source, in milliseconds

### skip

    protected int skip(int millis)

  Specified by:
    `skip` in class `JSBaseAudioRecordingStream`

### rewind

    protected void rewind()

  Specified by:
    `rewind` in class `JSBaseAudioRecordingStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD